|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::Technique Class Reference

`#include <Technique.h>`

Inheritance diagram for gameplay::Technique:

List of all members.

## Public Member Functions

const char * | getId () const
unsigned int | getPassCount () const
Pass * | getPassByIndex (unsigned int index) const
Pass * | getPass (const char *id) const
void | setNodeBinding (Node *node)

## Detailed Description

Defines a technique for how an object to be rendered.

You should use techniques to support different sets of shader + definitions that will be all loaded when a material is loaded. You can then change the rendering technique at runtime without having to first load the shaders.

A technique has one or more passes for supporting multi pass rendering.

## Member Function Documentation

const char* gameplay::Technique::getId | ( |  | ) | const

Gets the id of this technique.

Returns:
  The Id of this technique.

Pass* gameplay::Technique::getPass | ( | const char * | id | ) | const

Gets the pass with the specified id.

Returns:
  The pass at the specified id.

Pass* gameplay::Technique::getPassByIndex | ( | unsigned int | index | ) | const

Gets the pass at the specified index.

Returns:
  The pass at the specified index.

unsigned int gameplay::Technique::getPassCount | ( |  | ) | const

Gets the number of passes in this technique.

Returns:
  The number of passes in this technique.

void gameplay::Technique::setNodeBinding | ( | Node * | node | ) | `[virtual]`

See also:
  RenderState::setNodeBinding

Reimplemented from gameplay::RenderState.

All Classes Functions Variables Typedefs Enumerations Enumerator